Get a list of payment methodsAsk AIget https://api-sandbox.straitsx.com/v1/payment_methods[Available in Production/Sandbox environment] Retrieve payment methods createdQuery Paramspage[size]int32Defaults to 10Number of items per pageRegex: /^0*[1-9][0-9]*$/page[number]int32Defaults to 1Page numberRegex: /^0*[1-9][0-9]*$/filter[from]stringISO8601 format in UTC e.g. 2024-03-27T10:59:53ZRegex: ISO_8601_DATE_TIME: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[to]stringISO8601 format in UTC e.g. 2024-03-27T10:59:53ZRegex: ISO_8601_DATE_TIME: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[type]stringAccepts only paynow or virtual_bank_accountHeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Response 200200Updated 8 months ago